Subject: Re: bug#12677: 24.2.50; `nreverse' complains that ("foo") is not `listp'

From: Stefan Monnier <[email-masked]>
Date: Fri, 19 Oct 2012 10:19:47 -0400

>> My guess is that the code ended up doing something morally equivalent
>> to (nreverse '(1 2 . 3)).  Try it and you'll see a similarly confusing
>> error message.

> I understand your guess, but I think that might not be what was
> happening.  In the debugger I evaluated the variable and saw that its
> full value was just that singleton list.

Of course that's what you'd see because that's indeed the value *at that
point*, even though it had a different value before nreverse started
modifying the list.  By the time you get the error, the problem data
is gone.

        Stefan